Вверх ↑
Ответов: 4438
Рейтинг: 709
#1: 2021-04-12 12:46:36 ЛС | профиль | цитата
Старая тема - здесь

Обновление компилятора и пакета - Android 10 (API 29)

Обновлен Android SDK. Структура пакета и компилятора переработана для использования системы сборки Gradle.
В процессе сборки автоматически скачиваются зависимости из онлайн-репозиториев. Поэтому для компиляции требуется наличие интернета.
Новые версии Android SDK больше не работают на Windows XP.

Добавлен новый тип проекта - "пустой проект". Приложения Android необязательно должны содержать главную форму. Тем не менее, Activity туда можно добавлять как обычно.

Свойство Compatibility дополнено новыми версиями и поднята минимально поддерживаемая версия - Android 4 (API 14). Из кода компонентов выдрана поддержка более старых версий (через support library). Если считаете что нужно иметь поддержку более старых систем - обсудим.

Не все компоненты могут компилироваться в этой версии. samakacd, глянь свои компоненты и примеры. В частности, для ReachableAddress код был вынесен из include\Methods.java в include\HTTPUtils.java. Его код и прочие компоненты, использующие пакеты "org.apache.http.*", нужно переработать на использование "org.apache.httpcomponents.*" (с прописыванием зависимостей функцией AddImplementation() файла general.hws, если надо)

Просьба: не только сообщать об ошибках, а и предлагать готовые решения. Поскольку обновления пакета будут выходить не так часто как бы хотелось, то пользователи могут сами у себя вносить исправления по мере публикации на форуме.


Установка
1) Удалить предыдущую версию:
-- запустить HiAsm и закрыть все открытые проекты Android. Закрыть HiAsm.
-- выполнить файл HiAsm\compiler\Android\del_comp.bat
-- выполнить файл HiAsm\Elements\Android\del_pack.bat
-- удалить каталоги:
HiAsm\compiler\Android
HiAsm\Elements\Android
%USERPROFILE%\.android (если нет других средств разработки Android)

2) Установить JRE 1.8 согласно разрядности системы. Для компиляции приложений из HiAsm не требуется, но может быть нужно для работы дополнительных инструментов.
3) Скачать инсталлятор пакета и установить. Указать папку HiAsm при установке. В пути к папке HiAsm не должно быть кириллических символов.
4) Если у вас в пути к папке HiAsm есть пробелы - поправьте файл ".....\HiAsm\compiler\Android\_gradle.bat". Строка 21 должна выглядеть так:
call "%ROOT_DIR%gradle\bin\gradle.bat" %*

Аналогично в файле "....\HiAsm\compiler\Android\compiler.bat" строка 13:
call "%BUILD_SCRIPT%" %*

В будущем будет исправлено.

Эмулятор

Стандартные эмуляторы Android по-прежнему тормознутые и не у каждого запускаются. Поэтому в инсталлятор пакета не входят. В файле "Readme.pdf" описан процесс установки стандартного эмулятора.

Сторонние эмуляторы

Проект Android-x86
Устанавливается из образа на виртуальную машину VMWare, VirtualBox. Немного тормознутый, но хотя бы работает (после допиливания напильником).
Пробовал образ "android-x86-9.0-r2.iso" - мое видео установки и настройки: https://dfiles.eu/files/mkfkmkfl6

Подобные предыдущему: Bliss OS, PhoenixOS
Устанавливал. На виртуальной машине нормально не запустились - требуются какие-то другие настройки, аналогично предыдущему.

Не тестировал:
ARChon (как расширение браузера Google Chrome)
DPlayer - по внутренностям выглядит как части VirtualBox с настроенной виртуальной машиной.
Genymotion
NoxPlayer - тоже на основе VirtualBox
Remix OS Player - по внутренностям выглядит как выдранный эмулятор из Android SDK. Но может хотя бы работает и не так тормозит?
MEmu
BlueStacks (платный) - когда-то пробовал, самый шустрый. Вроде есть ограниченная бесплатная версия.

Документация для разработчиков
Официальная документация по разработке для Android
Gradle User Manual
Groovy language reference


карма: 26

9
Голосовали:Joiner, sаmakacd, Konst, Quest, Sova-Kmv, lisnic, sla8a, Rysik, Pavel
Редактировалось 5 раз(а), последний 2021-04-20 16:38:57